#include<stdio.h>
using namespace std;

long long q;
int i,uk=0,t;

int main()
{
	scanf("%lld",&q);
	
	for (i=1;i<=18;i++)
	{
		t=q%10;
		q=q/10;
		uk=uk+(t/5);
		t=t%5;
		uk=uk+(t/2);
		t=t%2;
		uk=uk+t;
		if (q==0) break;
		}	
		printf("%d",uk);
}